/* This file is part of the KDE project
   Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#include "connectioninfo.h"

using namespace IRC;

ConnectionInfo::ConnectionInfo()
{
}

ConnectionInfo::ConnectionInfo( const QString &_nick, const QString &_user, const QString &_realName,
                                const QString &_host, Q_UINT16 _port, const QString &_password )
    : Person( _nick, _user, _realName, _host ), m_port( _port ), m_password( _password )
{
}

ConnectionInfo::ConnectionInfo( const ConnectionInfo &rhs )
    : Person()
{
    ( *this ) = rhs;
}

ConnectionInfo &ConnectionInfo::operator=( const ConnectionInfo &rhs )
{
    Person::operator=( rhs );

    m_port = rhs.m_port;
    m_password = rhs.m_password;

    return *this;
}

/* vim: et sw=4 ts=4
 */
