#ifndef MESSAGEFORWARDER_H
#define MESSAGEFORWARDER_H

#include "messagedispatcher.h"

namespace IRC
{

class MessageForwarder : public MessageDispatcher
{
    Q_OBJECT
public:
    MessageForwarder( QObject *parent, const char *name = 0 );

    void registerForwardMapping( const QString &key, int parameterIndex );

public slots:
    void forwardMessage( const IRC::Message &msg );

protected:
    virtual void forwardMessage( const QString &key, const IRC::Message &msg );

private:
    typedef QMap<QString, int> ForwardingMap;

    ForwardingMap m_forwardMapping;
};

} // namespace IRC

#endif // MESSAGEFORWARDER_H
/* vim: et sw=4 ts=4
 */
