/* This file is part of the KDE project
   Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
#ifndef __simplewindow_h__
#define __simplewindow_h__

#include "window.h"

class QVBox;
class QTextView;
class QLineEdit;

class UserList;

class SimpleWindow : public IRC::Window
{
    Q_OBJECT
public:
    SimpleWindow( const QString &channel, IRC::Frontend *frontend, const char *name = 0 );
    virtual ~SimpleWindow();

    virtual QString title() const;

    virtual void printMessage( const QString &text );
    virtual void setTitle( const QString &text );

signals:
    void statusMessage( const QString &text );

private slots:
    void processInput();

    /* gcc 2.95 sucks. 
    using IRC::Window::processInput;
    */
    void processInput( const QString &text ) { IRC::Window::processInput( text ); }

    void emitStatusMessageForUserHighlight( const QString &nick );

private:
    QVBox *m_box;
    QTextView *m_view;
    QLineEdit *m_input;
    UserList *m_userList;
};

#endif
/* vim: et sw=4
 */
